package com.xy.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备计费历史表
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceChargingHistory对象", description="设备计费历史表")
public class DeviceChargingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "设备类型")
    private Integer deviceType;

    @ApiModelProperty(value = "续费金额")
    private Integer chargingMoney;

    @ApiModelProperty(value = "续费方式")
    private Integer chargingType;

    @ApiModelProperty(value = "状态")
    private Boolean status;

    @ApiModelProperty(value = "过期时间")
    private LocalDateTime timeout;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;


}
